Bug 25922 - aria-labels are currently not translatable
Summary: aria-labels are currently not translatable
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 25244
  Show dependency treegraph
 
Reported: 2020-07-03 13:07 UTC by Martin Renvoize
Modified: 2020-09-18 20:16 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.03, 19.11.09


Attachments
Bug 25922: Add aria-label to the allowlist for translation (3.28 KB, patch)
2020-07-03 13:09 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 25922: Add aria-label to the allowlist for translation (3.34 KB, patch)
2020-07-03 13:38 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 25922: Fix typo 'arial-label' -> 'aria-label' (1.05 KB, patch)
2020-07-03 13:38 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 25922: Add aria-label to the allowlist for translation (3.69 KB, patch)
2020-07-04 23:33 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25922: Fix typo 'arial-label' -> 'aria-label' (1.11 KB, patch)
2020-07-04 23:33 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2020-07-03 13:07:14 UTC
The aria-label tag used for accessibility should be picked up for translation by the translation tools, currently, it is not.
Comment 1 Martin Renvoize 2020-07-03 13:09:06 UTC
Created attachment 106501 [details] [review]
Bug 25922: Add aria-label to the allowlist for translation

This patch adds aria-label to the allowlist for translations
Comment 2 Julian Maurice 2020-07-03 13:31:25 UTC
I applied this patch and patches from bug 25244, then ran `./translate update fr-FR`.
I cannot find 'Select search result:' in PO files.

Does it work for you ?
Comment 3 Julian Maurice 2020-07-03 13:33:37 UTC
Ah I think I found the problem (a typo). I will submit a followup
Comment 4 Julian Maurice 2020-07-03 13:38:01 UTC
Created attachment 106509 [details] [review]
Bug 25922: Add aria-label to the allowlist for translation

This patch adds aria-label to the allowlist for translations

Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 5 Julian Maurice 2020-07-03 13:38:16 UTC
Created attachment 106510 [details] [review]
Bug 25922: Fix typo 'arial-label' -> 'aria-label'

Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 6 Katrin Fischer 2020-07-04 23:05:45 UTC
No test plan? :(
Comment 7 Katrin Fischer 2020-07-04 23:33:25 UTC
Created attachment 106532 [details] [review]
Bug 25922: Add aria-label to the allowlist for translation

This patch adds aria-label to the allowlist for translations.

To test:
- Apply patches from here and bug 25244
- kshell
- cd misc/translator
- perl translate update de-DE
- Check for the aria-label in the diff
- Verify the strings appear in the po files now
- Translate them
- perl translate install de-DE
- Verify the translated strings appear in the template

Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Katrin Fischer 2020-07-04 23:33:29 UTC
Created attachment 106533 [details] [review]
Bug 25922: Fix typo 'arial-label' -> 'aria-label'

Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Jonathan Druart 2020-07-20 15:49:27 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 10 Lucas Gass 2020-07-27 17:16:41 UTC
backported to 20.05.x for 20.05.03
Comment 11 Aleisha Amohia 2020-08-03 23:09:52 UTC
backported to 19.11.x for 19.11.09
Comment 12 Victor Grousset/tuxayo 2020-09-18 20:16:01 UTC
Not backported to oldoldstable (19.05.x). Feel free to ask if it's needed.